Browse Source

Switch to openstackdocstheme and latest Sphinx

The yasfb 0.8.0 release has stopped supporting older Sphinx
versions, but oslosphinx is deprecated and lacks support for Sphinx
>=2.0.0. Luckily replacing oslosphinx with
openstackdocstheme is trivial, and allows us to uncap Sphinx
entirely.

Change-Id: I3c372acf3dc3be224f71bb77c47b05a47add78a6
tags/2.0.1
Jeremy Stanley 2 months ago
parent
commit
f3585ef0d0
2 changed files with 8 additions and 4 deletions
  1. 6
    2
      doc/source/conf.py
  2. 2
    2
      requirements.txt

+ 6
- 2
doc/source/conf.py View File

@@ -25,7 +25,7 @@ extensions = [
25 25
     'sphinx.ext.autodoc',
26 26
     'sphinxcontrib.httpdomain',
27 27
     #'sphinx.ext.intersphinx',
28
-    'oslosphinx',
28
+    'openstackdocstheme',
29 29
     'yasfb',
30 30
 ]
31 31
 
@@ -74,9 +74,13 @@ pygments_style = 'sphinx'
74 74
 # The theme to use for HTML and HTML Help pages.  Major themes that come with
75 75
 # Sphinx are currently 'default' and 'sphinxdoc'.
76 76
 # html_theme_path = ["."]
77
-# html_theme = '_theme'
77
+html_theme = 'openstackdocs'
78 78
 # html_static_path = ['static']
79 79
 
80
+# openstackdocstheme options
81
+repository_name = 'openstack-infra/openstackid'
82
+use_storyboard = True
83
+
80 84
 # Output file base name for HTML help builder.
81 85
 htmlhelp_basename = '%sdoc' % project
82 86
 

+ 2
- 2
requirements.txt View File

@@ -1,4 +1,4 @@
1
-oslosphinx
2
-sphinx>=1.1.2,<1.2
1
+openstackdocstheme
2
+sphinx>=1.1.2
3 3
 sphinxcontrib-httpdomain
4 4
 yasfb>=0.5.1

Loading…
Cancel
Save